erratic fan speed and little control kernel 4.2

Bug #1514052 reported by Peter Saunderson on 2015-11-07
48
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

After upgrading to Ubuntu 15.10 my CPU fan started speeding and slowing without good reason even when the PC is idle.

This has been bisected to commit f989e55452c74b4f7b22c889b8ec9f1192aaeec4 :
i8k: Add support for fan labels

This patch adds labels support for fans if SMM function with EAX register
0x03a3 reports it. This information was taken from DOS binary NBSVC.MDM.

Additionally this patch change detection of fan presece. Instead reading fan
status now detection is based on new label SMM function. Dell DOS binary
NBSVC.MDM is doing similar checks, so we should do that too.

This patch also remove I8K_FAN_LEFT and I8K_FAN_RIGHT usage from hwmon driver
part because that names does not make sense anymore. So numeric constants are
used instead. Original /proc/i8k ioctl part was not changed for compatibility
reasons.

Signed-off-by: Pali Rohár <email address hidden>
Reviewed-by: Guenter Roeck <email address hidden>
Signed-off-by: Greg Kroah-Hartman <email address hidden>

WORKAROUND: Shutdown. After it cools down for a while, turn it on.

Tried intel_pstate but it is not supported for some reason on my machine ie the following does not work and I am left with driver: acpi-cpufreq

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash intel_pstate=enable"

Could not see ACPI Thermal Zones reported in dmesg
$ dmesg | grep ACPI
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1514052/+attachment/4527212/+files/dmesg

---
ApportVersion: 2.19.1-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pas 2076 F.... pulseaudio
 /dev/snd/controlC1: pas 2076 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 15.10
HibernationDevice: RESUME=UUID=68ce068c-1889-4f00-9b8a-12d7dc64348b
InstallationDate: Installed on 2011-02-22 (1718 days ago)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
MachineType: Dell Inc. Inspiron 580
Package: linux (not installed)
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-17-generic root=UUID=bf510382-4d2b-49d6-b9d9-ac6e3f6334eb ro intel_pstate=enable
ProcVersionSignature: Ubuntu 4.2.0-17.21-generic 4.2.3
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-17-generic N/A
 linux-backports-modules-4.2.0-17-generic N/A
 linux-firmware 1.149.1
RfKill:

Tags: wily
Uname: Linux 4.2.0-17-generic x86_64
UpgradeStatus: Upgraded to wily on 2015-11-06 (0 days ago)
UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare vboxusers wireshark
_MarkForUpload: True
dmi.bios.date: 11/13/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 0C2KJT
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd11/13/2010:svnDellInc.:pnInspiron580:pvr:rvnDellInc.:rn0C2KJT:rvrA00:cvnDellInc.:ct3:cvr:
dmi.product.name: Inspiron 580
dmi.sys.vendor: Dell Inc.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1514052

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected wily
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Peter Saunderson (peteasa) wrote :
Download full text (4.2 KiB)

Just quick addition to the description..
Here is a log of the processor fan RPM taken over a few seconds as the PC is idle showing what I consider to be excessive changes in the CPU fan RPM whilst the CPU temperatures are quite low and the PC is idle:

Processor Fan: 382 RPM
Processor Fan: 313 RPM
Processor Fan: 328 RPM
Processor Fan: 350 RPM
Processor Fan: 386 RPM
Processor Fan: 686 RPM
Processor Fan: 1201 RPM
Processor Fan: 2105 RPM
Processor Fan: 3035 RPM
Processor Fan: 3505 RPM
Processor Fan: 3383 RPM
Processor Fan: 2775 RPM
Processor Fan: 2266 RPM
Processor Fan: 1842 RPM
Processor Fan: 1531 RPM
Processor Fan: 1305 RPM
Processor Fan: 1118 RPM
Processor Fan: 998 RPM
Processor Fan: 907 RPM
Processor Fan: 848 RPM
Processor Fan: 762 RPM
Processor Fan: 703 RPM
Processor Fan: 645 RPM
Processor Fan: 587 RPM
Processor Fan: 530 RPM
Processor Fan: 500 RPM
Processor Fan: 444 RPM
Processor Fan: 416 RPM
Processor Fan: 368 RPM
Processor Fan: 318 RPM
Processor Fan: 310 RPM
Processor Fan: 314 RPM
Processor Fan: 356 RPM
Processor Fan: 370 RPM
Processor Fan: 396 RPM
Processor Fan: 424 RPM
Processor Fan: 514 RPM
Processor Fan: 612 RPM
Processor Fan: 722 RPM
Processor Fan: 963 RPM
Processor Fan: 1330 RPM
Processor Fan: 1823 RPM
Processor Fan: 2857 RPM
Processor Fan: 3148 RPM
Processor Fan: 3022 RPM
Processor Fan: 2720 RPM
Processor Fan: 2377 RPM
Processor Fan: 1971 RPM
Processor Fan: 1670 RPM
Processor Fan: 1404 RPM
Processor Fan: 734 RPM

Here is the sensors output:
radeon-pci-0100
Adapter: PCI adapter
temp1: +57.5°C (crit = +120.0°C, hyst = +90.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +31.0°C (high = +83.0°C, crit = +99.0°C)
Core 1: +29.0°C (high = +83.0°C, crit = +99.0°C)
Core 2: +31.0°C (high = +83.0°C, crit = +99.0°C)
Core 3: +29.0°C (high = +83.0°C, crit = +99.0°C)

it8721-isa-0a10
Adapter: ISA adapter
in0: +0.85 V (min = +1.12 V, max = +2.28 V) ALARM
in1: +3.02 V (min = +2.87 V, max = +0.66 V) ALARM
in2: +2.00 V (min = +2.57 V, max = +1.45 V) ALARM
+3.3V: +3.29 V (min = +4.56 V, max = +4.37 V) ALARM
in4: +2.99 V (min = +2.95 V, max = +2.82 V) ALARM
in5: +2.22 V (min = +2.62 V, max = +3.06 V) ALARM
in6: +2.22 V (min = +2.29 V, max = +2.83 V) ALARM
3VSB: +3.34 V (min = +3.82 V, max = +4.58 V) ALARM
Vbat: +3.02 V
fan1: 1071 RPM (min = 13 RPM)
fan2: 788 RPM (min = 46 RPM)
temp1: -77.0°C (low = +55.0°C, high = -68.0°C) sensor = thermal diode
temp2: -8.0°C (low = -58.0°C, high = -93.0°C) sensor = thermistor
temp3: -68.0°C (low = -77.0°C, high = -49.0°C) sensor = Intel PECI
intrusion0: ALARM

dell_smm-virtual-0
Adapter: Virtual device
Processor Fan: 1079 RPM
Motherboard Fan: 794 RPM

and a fraction of a second later:

radeon-pci-0100
Adapter: PCI adapter
temp1: +57.0°C (crit = +120.0°C, hyst = +90.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +29.0°C (high = +83.0°C, crit = +99.0°C)
Core 1: ...

Read more...

Benjamin (jeff58888) wrote :

I have the same problem with a DELL Studio XPS 8000.

This bug is related to this: https://bugzilla.kernel.org/show_bug.cgi?id=100121

Peter Saunderson (peteasa) wrote :

On my machine I seem to have i8k built into the kernel rather than as a loadable module

# modinfo i8k
filename: /lib/modules/4.2.0-17-generic/kernel/drivers/hwmon/dell-smm-hwmon.ko
alias: i8k
license: GPL
description: Dell laptop SMM BIOS hwmon driver
author: Pali Rohár <email address hidden>
author: Massimo Dal Zotto (<email address hidden>)
srcversion: AA197A538F679AE1ECA2D6F
alias: dmi*:svn*DellInc.*:pn*MXC051*:
alias: dmi*:svn*DellInc.*:pn*XPS13*:
alias: dmi*:svn*DellInc.*:pn*Studio*:
alias: dmi*:svn*DellInc.*:pn*XPSL421X*:
alias: dmi*:svn*DellInc.*:pn*Vostro*:
alias: dmi*:svn*DellInc.*:pn*Precision*:
alias: dmi*:svn*DellInc.*:pn*PrecisionWorkStation490*:
alias: dmi*:svn*DellInc.*:pn*MP061*:
alias: dmi*:svn*DellInc.*:pn*MM061*:
alias: dmi*:svn*DellInc.*:pn*Latitude*:
alias: dmi*:svn*DellInc.*:pn*LatitudeD520*:
alias: dmi*:svn*DellInc.*:pn*Inspiron*:
alias: dmi*:svn*DellComputer*:pn*Latitude*:
alias: dmi*:svn*DellComputer*:pn*Inspiron*:
depends:
intree: Y
vermagic: 4.2.0-17-generic SMP mod_unload modversions
signer: Build time autogenerated kernel key
sig_key: 8A:A8:7E:56:80:81:D5:83:A1:82:B3:AF:48:3C:67:E7:4C:E0:9F:4E
sig_hashalgo: sha512
parm: force:Force loading without checking for supported models (bool)
parm: ignore_dmi:Continue probing hardware even if DMI data does not match (bool)
parm: restricted:Allow fan control if SYS_ADMIN capability set (bool)
parm: power_status:Report power status in /proc/i8k (bool)
parm: fan_mult:Factor to multiply fan speed with (default: autodetect) (uint)
parm: fan_max:Maximum configurable fan speed (default: autodetect) (uint)

Peter Saunderson (peteasa) wrote :

attached dmi decode for the offending machine

Benjamin (jeff58888) wrote :

Since "dell-smm-hwmon" seems to be an alias of the i8k module, and based on the solution from the #100121 of the kernel bug tracker, blacklist "dell-smm-hwmon" resolved the issue at least on my Dell Studio XPS 8000. I tried many hard reboots to confirm this.

However i don't really know this module and can't say if blacklisting it is free of side effects.

i'd argue that this module concerns DELL laptops as it's modinfo description suggests but my DELL studio XpS 8000 is a desktop, not a laptop.

Joseph Salisbury (jsalisbury) wrote :

Does this issue go away if you boot back into the prior kernel version?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.3 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3-wily/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Changed in linux (Ubuntu):
importance: Medium → High
status: Confirmed → Incomplete
Benjamin (jeff58888) wrote :

The issue remains using the kernel 4.3.0 on my Dell Studio XPS 8000

This issue came when i upgraded My Ubuntu from vivid to wily so it worked well on kernels 3.19.*

I have even done a fresh install of wily from the official ISO to be sure it wasn't a configuration issue.

Benjamin (jeff58888) on 2015-11-12
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Peter Saunderson (peteasa) wrote :

Just tried out the kernel as per instructions

Linux HomeMegaUbuntu 4.3.0-040300-generic #201511020949 SMP Mon Nov 2 14:50:44 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

echo 200 > /sys/class/hwmon/hwmon3/pwm1
echo 70 > /sys/class/hwmon/hwmon3/pwm1

results in the erratic fan speed.

if no erratic behaviour wait for a few hours (seems to be about 4 -5hours) and the erratic fan behaviour starts.

to stop it
echo 200 > /sys/class/hwmon/hwmon3/pwm1
echo 70 > /sys/class/hwmon/hwmon3/pwm1

seems to work for me for a few hours before it starts up again.

Interesting that

echo 200 > /sys/class/hwmon/hwmon3/pwm1

results in high CPU fan speed with slow changes in erratic fan (as shown above) superimposed on top of high fan speed.

Peter Saunderson (peteasa) wrote :

sorry should have said

to stop itto stop it
echo 200 > /sys/class/hwmon/hwmon3/pwm1
echo 70 > /sys/class/hwmon/hwmon3/pwm1

reboot
before the reboot cpu fan is slow but erratic
whilst the reboot the cpu fan goes up to max then stops when linux unloaded.

Peter Saunderson, the next step is to fully commit bisect from kernel 3.19 to 4.2 in order to identify the last good kernel commit, followed immediately by the first bad one. This will allow for a more expedited analysis of the root cause of your issue. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: latest-bios-a07
tags: added: needs-bisect regression-release
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Paco Orozco (pakusland) wrote :

I have this problem on an Inspiron 580. Blacklisting dell-smm-hwmon seems to solve it.

Paco Orozco, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Hi,

I've tried to use "ubuntu-bug linux", It open my browser, I login but I
don't know what to do after.

It says "no similar bug reports were found", must I create one new?

Paco

On 15/11/15 19:28, Christopher M. Penalver wrote:
> Paco Orozco, it will help immensely if you filed a new report via a terminal:
> ubuntu-bug linux
>
> Please feel free to subscribe me to it.
>

Yuriy Vidineev (adeptg) wrote :

Dell XPS13 9333, Ubuntu 14.04, linux 4.3.0-040300-generic
The same behavior

Yuriy Vidineev, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Yuriy Vidineev (adeptg) wrote :

Hello Christopher,

Unfortunately I can't do it for now:

"The problem cannot be reported:
This is not an official Ubuntu package. Please remove any third party package and try again."

I use 4.3.0-040300-generic.
Looks like simplest way to do it for me - download 16.04 daily build and test on it. I'll try it soon
BTW rmmod dell_smm_hwmon fixes problem for me

Yuriy Vidineev, you need to use the default Ubuntu kernel (not the third party mainline one).

Peter Saunderson (peteasa) wrote :

Ok so I might have a bit of time to start this... in summary I have already on my machine kernel 3.19.0-31-generic (last good version before my update) kernel 4.2.0-17-generic (bad version installed with wily)

If I understand the basic process (from reading https://wiki.ubuntu.com/Kernel/KernelBisection) I am to clone git://kernel.ubuntu.com/ubuntu/ubuntu-wily.git and look for a bad commit prior to kernel version 4.2.0-17 and after kernel version 3.19.0

starting with something like:
git bisect start Ubuntu-4.2.0-17.20 Ubuntu-3.19.0-22.22

I am guessing from the bisect work done in https://bugzilla.kernel.org/show_bug.cgi?id=100121#c29 that this is likely to be near f989e55452c74b4f7b22c889b8ec9f1192aaeec4... but I will find out!

Peter Saunderson (peteasa) wrote :

Just cloned the kernel source and confirmed that f989e55452c74b4f7b22c889b8ec9f1192aaeec4 is in the range Ubuntu-4.2.0-18.22 Ubuntu-3.19.0-20.20 so I will have a go first at building / testing the kernel either side of this commit.

Peter Saunderson (peteasa) wrote :
Download full text (3.2 KiB)

As expected f989e55452c74b4f7b22c889b8ec9f1192aaeec4 is a bad commit.
When kernel built with the preceeding commit
 1a131ca1de7a84cf3827c418ee5971b493c6f23f then the fan is well behaved..

ie echo 200 > /sys/class/hwmon/hwmon3/pwm1
 The fan speed builds up gradually and results in a reasonable constant fan speed fan1: 2207 RPM

echo 180 > /sys/class/hwmon/hwmon3/pwm1
The fan speed is reasonably constant at fan1: 1118 RPM

Note in both bad and good kernel the fan speed is not linear with the value sent to pwm1, rather a step change at about 192 from slow to fast.

In the good kernel the fan speed is rock solid constant.. I could not seem to get the fan to get faster than 2207 RPM

In the bad kernel the fan speed is always varying as indicated above. When configured with echo 200 > /sys/class/hwmon/hwmon3/pwm1 the fan speed is always varying about a high value and with echo 180 > /sys/class/hwmon/hwmon3/pwm1 the fan speed is always varying about a low value. The range of fan speeds seems larger with the bad kernel (3000 -> 300) as you can see from the comment above.

Noticed that in the good kernel the virtual device seems to report the fans in the opposite order:
$ sensors
radeon-pci-0100
Adapter: PCI adapter
temp1: +57.5°C (crit = +120.0°C, hyst = +90.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +28.0°C (high = +83.0°C, crit = +99.0°C)
Core 1: +26.0°C (high = +83.0°C, crit = +99.0°C)
Core 2: +28.0°C (high = +83.0°C, crit = +99.0°C)
Core 3: +25.0°C (high = +83.0°C, crit = +99.0°C)

it8721-isa-0a10
Adapter: ISA adapter
in0: +0.86 V (min = +1.12 V, max = +2.09 V) ALARM
in1: +3.02 V (min = +2.87 V, max = +0.64 V) ALARM
in2: +2.00 V (min = +2.54 V, max = +1.44 V) ALARM
+3.3V: +3.29 V (min = +4.56 V, max = +4.37 V) ALARM
in4: +2.99 V (min = +2.68 V, max = +2.82 V) ALARM
in5: +2.22 V (min = +2.62 V, max = +2.29 V) ALARM
in6: +2.22 V (min = +2.29 V, max = +2.83 V) ALARM
3VSB: +3.34 V (min = +3.82 V, max = +4.54 V) ALARM
Vbat: +3.02 V
fan1: 965 RPM (min = 13 RPM)
fan2: 1112 RPM (min = 21 RPM)
temp1: -78.0°C (low = +55.0°C, high = -68.0°C) sensor = thermal diode
temp2: -8.0°C (low = -57.0°C, high = -93.0°C) sensor = thermistor
temp3: -71.0°C (low = -77.0°C, high = -49.0°C) sensor = Intel PECI
intrusion0: ALARM

i8k-virtual-0
Adapter: Virtual device
fan1: 1120 RPM
fan2: 972 RPM

Notice that in comment #16 the fan speeds are in the same order... apart from the label change.

So with the good kernel it seems that the virtual device thinks fan1 is the CPU fan and the ISA adapter thinks that fan2 is the CPU fan.

With the bad kernel it seems that the virtual device thinks that the CPU fan is called Processor Fan and the ISA adapter thinks that the fan1 is the CPU fan.

Seems to me like someone has switched some labels about! Perhaps by "correcting the labels" something else has gone wrong! Perhaps ISA adapter needs to think that fan2 is the CPU fan for some reason!

Anyway thats about all I can see is different fro...

Read more...

Peter Saunderson (peteasa) wrote :

Small update... still using 1a131ca1de7a84cf3827c418ee5971b493c6f23f

CPU fan just shot up to high revs and then back down to low revs after several hours of use. Just one shot no more high revs so very different characteristics to the bad kernel but still interesting.
Core 0: +31.0°C (high = +83.0°C, crit = +99.0°C)
Core 1: +29.0°C (high = +83.0°C, crit = +99.0°C)
Core 2: +30.0°C (high = +83.0°C, crit = +99.0°C)
Core 3: +28.0°C (high = +83.0°C, crit = +99.0°C)

So not due to core temperatures... only happened that once so far. I will keep using this kernel and see if it happens again.

Peter Saunderson, could you please test the latest mainline kernel (4.4-rc2+cod1) and advise to the results?

tags: added: bisect-done
removed: needs-bisect
tags: added: kernel-bug-exists-upstream-4.3

Cut from Bug Description.

description: updated
description: updated
Peter Saunderson (peteasa) wrote :

Loaded the latest Kernel ..
Following produced erratic fan speed .. see that the fan naming seems sorted. Pity that did not solve it!
# echo 200 > /sys/class/hwmon/hwmon3/pwm1
# echo 70 > /sys/class/hwmon/hwmon3/pwm1
# sensors
radeon-pci-0100
Adapter: PCI adapter
temp1: +57.0°C (crit = +120.0°C, hyst = +90.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +32.0°C (high = +83.0°C, crit = +99.0°C)
Core 1: +30.0°C (high = +83.0°C, crit = +99.0°C)
Core 2: +32.0°C (high = +83.0°C, crit = +99.0°C)
Core 3: +29.0°C (high = +83.0°C, crit = +99.0°C)

it8721-isa-0a10
Adapter: ISA adapter
in0: +0.85 V (min = +2.65 V, max = +2.28 V) ALARM
in1: +3.02 V (min = +2.87 V, max = +0.66 V) ALARM
in2: +2.00 V (min = +1.01 V, max = +1.44 V) ALARM
+3.3V: +3.29 V (min = +4.56 V, max = +4.37 V) ALARM
in4: +2.99 V (min = +2.66 V, max = +2.82 V) ALARM
in5: +2.22 V (min = +2.62 V, max = +3.06 V) ALARM
in6: +2.22 V (min = +2.29 V, max = +2.83 V) ALARM
3VSB: +3.34 V (min = +5.35 V, max = +4.58 V) ALARM
Vbat: +3.02 V
fan1: 3199 RPM (min = 13 RPM)
fan2: 809 RPM (min = 21 RPM)
temp1: -78.0°C (low = +39.0°C, high = -68.0°C) sensor = thermal diode
temp2: -8.0°C (low = -25.0°C, high = -93.0°C) sensor = thermistor
temp3: -67.0°C (low = -77.0°C, high = -49.0°C) sensor = Intel PECI
intrusion0: ALARM

dell_smm-virtual-0
Adapter: Virtual device
Processor Fan: 3222 RPM
Motherboard Fan: 815 RPM

# uname -a
Linux HomeMegaUbuntu 4.4.0-040400rc3-generic #201511300321 SMP Mon Nov 30 03:23:36 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
#

Peter Saunderson (peteasa) wrote :

I take that back.. I see that the fan ordering is still the same as all the other failing kernels... not that I think that it will make any difference anyway!

Peter Saunderson, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate venue (TO: Pali Rohár Guenter Roeck, Greg Kroah-Hartman, and Arnd Bergmann CC: linux-kernel)?

Please provide a direct URL to your newly made report when it becomes available so that it may be tracked.

Thank you for your understanding.

tags: added: kernel-bug-exists-upstream-4.4-rc3
removed: kernel-bug-exists-upstream-4.3
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Peter Saunderson (peteasa) wrote :

how can I add my bug to https://bugzilla.kernel.org/show_bug.cgi?id=100121#c29.. I dont want to create a new bug that just gets dropped as a duplicate.

Peter Saunderson (peteasa) wrote :

See first patch (does not fix the problem) and further discussion at http://marc.info/?l=linux-kernel&m=146435528326660&w=2

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.